# Enum ocl::builders::BufferCmdKind [−] [src]

    pub enum BufferCmdKind<'c, T> where
        T: 'c,  {
        Unspecified,
        Read,
        Write,
        Map,
        Copy {
            dst_buffer: &'c MemCore,
            dst_offset: Option<usize>,
            len: Option<usize>,
        },
        Fill {
            pattern: T,
            len: Option<usize>,
        },
        CopyToImage {
            image: &'c MemCore,
            dst_origin: [usize; 3],
            region: [usize; 3],
        },
        GLAcquire,
        GLRelease,
    }

The type of operation to be performed by a command.

## Variants

`Unspecified` `Read` `Write` `Map` `Copy`

### Fields of `Copy`

`dst_buffer: &'c MemCore` |
`dst_offset: Option<usize>` |
`len: Option<usize>` |

`Fill`

### Fields of `Fill`

`pattern: T` |
`len: Option<usize>` |

`CopyToImage`

### Fields of `CopyToImage`

`image: &'c MemCore` |
`dst_origin: [usize; 3]` |
`region: [usize; 3]` |

`GLAcquire` `GLRelease`

# Help

## Keyboard Shortcuts

`?`
  Show this help dialog
`S`
  Focus the search field
`↑`
  Move up in search results
`↓`
  Move down in search results
`↹`
  Switch tab
`⏎`
  Go to active search result
`+`
  Expand all sections
`-`
  Collapse all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)